/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.BugLifeCycleChartDao;
import net.northking.cctp.dw.db.service.BugLifeCycleChartService;
import net.northking.cctp.dw.db.entity.BugLifeCycleChart;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.db.service.BugTemplateStatusService;
import net.northking.cctp.dw.db.service.SynBugInfoService;
import net.northking.cctp.dw.dto.BugLifeCycleChartDetailDto;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷生命周期
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-20 09:48:21  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugLifeCycleChartServiceImpl")
public class BugLifeCycleChartServiceImpl extends PaginationService<BugLifeCycleChart> implements BugLifeCycleChartService
{
private static final Logger logger = LoggerFactory.getLogger(BugLifeCycleChartServiceImpl.class);

  private final BugLifeCycleChartDao bugLifeCycleChartDao;
  @Autowired
  private SynBugInfoService synBugInfoService;
  @Autowired
  private BugTemplateStatusService bugTemplateStatusService;

  public BugLifeCycleChartServiceImpl(BugLifeCycleChartDao bugLifeCycleChartDao) {this.bugLifeCycleChartDao = bugLifeCycleChartDao;}

  public BasicDao<BugLifeCycleChart> getDao() {return bugLifeCycleChartDao;}

  public BugLifeCycleChart createEntity() { return new BugLifeCycleChart();}

  @Override
  protected void beforeInsert(BugLifeCycleChart bugLifeCycleChart) {

  }

  @Override
  protected void beforeUpdate(BugLifeCycleChart bugLifeCycleChart) {

  }

  @Override
  public List<BugLifeCycleChartDetailDto> listQuery(String proId,String tenantId) {
    return bugLifeCycleChartDao.listQuery(proId,tenantId);
  }

  @Override
  public void insertBatch(BugLifeCycleChart bugLifeCycleChart) {
     bugLifeCycleChartDao.insertBatch(bugLifeCycleChart);
  }

  @Override
  public List<BugLifeCycleChart> getProjectList() {
    return bugLifeCycleChartDao.getProjectList();
  }

  @Override
  public Integer deleteByExampleByProjectIds(BugLifeCycleChart bugLifeCycleChart) {
    return bugLifeCycleChartDao.deleteByExampleByProjectIds(bugLifeCycleChart);
  }

}

